﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace SSO.Server.Code
{
    /************************************************************************
    * 版 本 号 :  v1.0.0.0
    * 作    者 :  yinchenghui
    * 创建时间 :  2019/3/25 18:21:03
    * 更新时间 :  2019/3/25 18:21:03
    * 描    述 :  登录验证
    ************************************************************************/
    public class CheckAuthAttribute : AuthorizeAttribute
    {
        bool _checkAuth;
        public CheckAuthAttribute(bool _checkAuth = true)
        {
            this._checkAuth = _checkAuth;
        }
        public override void OnAuthorization(AuthorizationContext filterContext)
        {
            if (_checkAuth)
            {
                if (!LoginUtils.IsLogin())
                {
                    filterContext.Result = new RedirectResult("~/SSO/Index");
                    return;
                }
            }
        }
    }
}